# RedisDelete

The **RedisDelete** function is used to delete a key and its associated value. Once a key is deleted, its value is no longer accessible, and any memory it was using is freed up.

***

## Properties <a href="#properties" id="properties"></a>

### Connection String <a href="#connection-string" id="connection-string"></a>

The connection string of the Redis Server. This will be a type such as the below:

`{"Endpoints":[{"Host":"MyHost", "Port":"MyPort"}], "Password":"MyPassword"}`

The connection string type has the following fields:

* **Endpoints**: A list of endpoints, each with a specified host and port.
* **Password**: Your Redis password.

### Key <a href="#key" id="key"></a>

The key that is to be deleted.

### Sign with certificate <a href="#sign-with-certificate" id="sign-with-certificate"></a>

Specifies whether the request should be signed with a certificate.

#### **Certificate**

#### The following properties are required when **Sign with certificate** is selected.

* **Certificate path**: The HTTPS X509 certificate to use to sign requests.
* **Certificate password**: The HTTPS X509 certificate password.
* **CA Certificate path**: The certificate authority’s certificate to use to sign requests.
* **CA Certificate password**: The certificate authority’s certificate password.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/redis/content/redisdelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
